PHP K�sikirja
Edellinen |  | Seuraava

# gzgetc

(PHP 3, PHP 4 , PHP 5)

gzgetc -- Get character from gz-file pointer

## Description

string gzgetc ( resource zp )

Returns a string containing a single (uncompressed) character read from the given gz-file pointer.

## Parameters

zp

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

## Return values

The uncompressed character or `FALSE` on EOF (unlike gzeof()).

## Examples

Esimerkki 1. gzgetc() example

`<?php $gz = gzopen('somefile.gz', 'r'); while (!gzeof($gz)) { echo gzgetc($gz); } gzclose($gz); ?>`

## See Also

gzopen()
gzgets()

Edellinen | Alkuun | Seuraava
gzfile | Ylös | gzgets